---
title: Node.nextSibling
slug: Web/API/Node/nextSibling
tags:
  - API
  - DOM
  - Node
  - Property
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>Node.nextSibling</strong></code> read-only property returns the node immediately following the specified one in their parent's {{domxref("Node.childNodes","childNodes")}}, or returns <code>null</code> if the specified node is the last child in the parent element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>nextNode</var> = <var>node</var>.nextSibling
</pre>

<h2 id="Notes">Notes</h2>

<div>
<p>Gecko-based browsers insert text nodes into a document to represent whitespace in the source markup. Therefore a node obtained, for example, using <a href="/en-US/docs/Web/API/Node/firstChild" title="The Node.firstChild read-only property returns the node's first child in the tree, or null if the node has no children."><code>Node.firstChild</code></a> or <a href="/en-US/docs/Web/API/Node/previousSibling" title="The Node.previousSibling read-only property returns the node immediately preceding the specified one in its parent's childNodes list, or null if the specified node is the first in that list."><code>Node.previousSibling</code></a> may refer to a whitespace text node rather than the actual element the author intended to get.</p>

<p>See <a href="/en-US/docs/Web/Guide/DOM/Whitespace_in_the_DOM">Whitespace in the DOM</a> and <a class="external" href="http://www.w3.org/DOM/faq.html#emptytext" rel="noopener">W3C DOM 3 FAQ: Why are some Text nodes empty?</a> for more information.</p>
</div>

<p>{{domxref("Element.nextElementSibling")}} may be used to obtain the next element skipping any whitespace nodes, other between-element text, or comments.</p>

<h2 id="Example">Example</h2>

<pre class="brush:html">&lt;div id="div-1"&gt;Here is div-1&lt;/div&gt;
&lt;div id="div-2"&gt;Here is div-2&lt;/div&gt;

&lt;script&gt;
var el = document.getElementById('div-1').nextSibling,
    i = 1;

console.group('Siblings of div-1:');

while (el) {
  console.log(i, '. ', el.nodeName);
  el = el.nextSibling;
  i++;
}

console.groupEnd();
&lt;/script&gt;

/**************************************************
  The console displays the following:

     Siblings of div-1

      1. #text
      2. DIV
      3. #text
      4. SCRIPT

**************************************************/
</pre>

<p>In the above example, <code>#text</code> nodes are inserted in the DOM where whitespace occurs between tags (i.e. after the closing tag of an element and before the opening tag of the next).</p>

<p>The possible inclusion of text nodes must be allowed for when traversing the DOM using <code>nextSibling</code>. See the resources <a href="#Notes">in the Notes section</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-node-nextsibling', 'Node.nextSibling')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>No change</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Core', 'core.html#ID-6AC54C2F', 'Node.nextSibling')}}</td>
			<td>{{Spec2('DOM2 Core')}}</td>
			<td>No change</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM1', 'level-one-core.html#attribute-nextSibling', 'Node.nextSibling')}}</td>
			<td>{{Spec2('DOM1')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.nextSibling")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("Element.nextElementSibling")}}</li>
</ul>
